Index: frontend/src/Components/Tab/TabFormHotel.js
===================================================================
--- frontend/src/Components/Tab/TabFormHotel.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Tab/TabFormHotel.js	(revision 0f5aa2759dde06c45eeb640feeb15cb583c6af32)
@@ -1,91 +1,102 @@
 import React from "react";
-import { Button, Col, Container, Form, Row } from "react-bootstrap";
-import { FaMagnet } from "react-icons/fa"
-import { HiMagnifyingGlass } from "react-icons/hi2"
+import {Button, Col, Container, Form, InputGroup, Row} from "react-bootstrap";
+import {FaMagnet} from "react-icons/fa"
+import {HiMagnifyingGlass} from "react-icons/hi2"
 import useFormData from "../Hooks/useFormData";
 
 function TabFormHotel() {
 
-  const { formData, onFormChange, setFormData } = useFormData({
-    hotelLocation: undefined,
-    dateFrom: undefined,
-    dateTo: undefined,
-    numBeds: undefined
-  })
+    const {formData, onFormChange, setFormData, onCheckBoxChange} = useFormData({
+        hotelLocation: undefined,
+        dateFrom: undefined,
+        dateTo: undefined,
+        numBeds: undefined,
+        flexible: false,
+    })
 
-  return (
-    <Form className='rounded-5' >
-      <Row>
-        <Col>
-          <Form.Floating className="mb-3">
-            <Form.Control
-              size="md"
-              type="text"
-              placeholder="Каде ќе патувате?:"
-              id="location"
-              name="hotelLocation"
-              value={formData.hotelLocation}
-              onChange={onFormChange}
-            ></Form.Control>
-            <label htmlFor="location">Локација:</label>
-          </Form.Floating>
-        </Col>
-        <Col>
-          <Form.Floating className="mb-3">
-            <Form.Control
-              size="md"
-              type="date"
-              placeholder="Датум на пристигнување:"
-              id="dateFrom"
-              name="dateFrom"
-              value={formData.dateFrom}
-              onChange={onFormChange}
-            ></Form.Control>
-            <label htmlFor="dateFrom">Датум на пристигнување:</label>
-          </Form.Floating>
-        </Col>
-        <Col>
-          <Form.Floating className="mb-3">
-            <Form.Control
-              size="md"
-              type="date"
-              placeholder="Датум на заминување:"
-              id="dateTo"
-              name="dateTo"
-              value={formData.dateTo}
-              onChange={onFormChange}
-            ></Form.Control>
-            <label htmlFor="dateTo">Датум на заминување:</label>
-          </Form.Floating>
-        </Col>
-        <Col>
-          <Form.Floating className="mb-3">
-            <Form.Control
-              size="md"
-              type="number"
-              placeholder="Број на гости:"
-              id="floatingPassengers"
-              name="numBeds"
-              value={formData.numBeds}
-              onChange={onFormChange}
-            ></Form.Control>
-            <label htmlFor="floatingPassengers">Број на гости:</label>
-          </Form.Floating>
+    return (
+        <Form className='rounded-5'>
+            <Row>
+                <Col>
+                    <Form.Floating className="mb-3">
+                        <Form.Control
+                            size="md"
+                            type="text"
+                            placeholder="Каде ќе патувате?:"
+                            id="location"
+                            name="hotelLocation"
+                            value={formData.hotelLocation}
+                            onChange={onFormChange}
+                        ></Form.Control>
+                        <label htmlFor="location">Локација:</label>
+                    </Form.Floating>
+                    <div className="mb-3">
+                        <Form.Check
+                            type={"checkbox"}
+                            id={`default-checkbox}`}
+                            label={`флексибилност +- 3 дена`}
+                            onChange={onCheckBoxChange}
+                            name={'flexible'}
+                            value={formData.flexible}
+                        />
+                    </div>
+                </Col>
+                <Col>
+                    <Form.Floating className="mb-3">
+                        <Form.Control
+                            size="md"
+                            type="date"
+                            placeholder="Датум на пристигнување:"
+                            id="dateFrom"
+                            name="dateFrom"
+                            value={formData.dateFrom}
+                            onChange={onFormChange}
+                        ></Form.Control>
+                        <label htmlFor="dateFrom">Датум на пристигнување:</label>
+                    </Form.Floating>
+                </Col>
+                <Col>
+                    <Form.Floating className="mb-3">
+                        <Form.Control
+                            size="md"
+                            type="date"
+                            placeholder="Датум на заминување:"
+                            id="dateTo"
+                            name="dateTo"
+                            value={formData.dateTo}
+                            onChange={onFormChange}
+                        ></Form.Control>
+                        <label htmlFor="dateTo">Датум на заминување:</label>
+                    </Form.Floating>
+                </Col>
+                <Col>
+                    <Form.Floating className="mb-3">
+                        <Form.Control
+                            size="md"
+                            type="number"
+                            placeholder="Број на гости:"
+                            id="floatingPassengers"
+                            name="numBeds"
+                            value={formData.numBeds}
+                            onChange={onFormChange}
+                        ></Form.Control>
+                        <label htmlFor="floatingPassengers">Број на гости:</label>
+                    </Form.Floating>
 
-          <Form.Group className="my-1">
-            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg" 
-            onClick={(e) => {
-              e.preventDefault();
-              window.location.href = `/search/hotel/${formData.hotelLocation}/${formData.dateFrom}/${formData.dateTo}/${formData.numBeds}`
-            }}>
-              <span className="ikona my-1"><HiMagnifyingGlass/></span>
-              <span className="ikona mx-3">Пребарај</span>
-            </Button>
-          </Form.Group>
-        </Col>
+                    <Form.Group className="my-1">
+                        <Button type="submit" style={{backgroundColor: "#159895"}} size="lg"
+                                onClick={(e) => {
+                                    e.preventDefault();
+                                    window.location.href = `/search/hotel/${formData.hotelLocation}/${formData.dateFrom}/${formData.dateTo}/${formData.numBeds}/${formData.flexible}`
+                                }}>
+                            <span className="ikona my-1"><HiMagnifyingGlass/></span>
+                            <span className="ikona mx-3">Пребарај</span>
+                        </Button>
+                    </Form.Group>
+                </Col>
 
-      </Row>
-    </Form>
-  );
+            </Row>
+        </Form>
+    );
 }
 
Index: frontend/src/Components/Tab/TabFormTransport.js
===================================================================
--- frontend/src/Components/Tab/TabFormTransport.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Tab/TabFormTransport.js	(revision 0f5aa2759dde06c45eeb640feeb15cb583c6af32)
@@ -2,6 +2,15 @@
 import { Button, Col, Container, Form, Row } from "react-bootstrap";
 import { HiMagnifyingGlass } from "react-icons/hi2"
+import useFormData from "../Hooks/useFormData";
 
 function TabFormTransport() {
+
+  const { formData, onFormChange, setFormData } = useFormData({
+    from: undefined,
+    to: undefined,
+    date: undefined,
+    numPassengers: 0
+  })
+
   return (
     <Form>
@@ -14,4 +23,7 @@
               placeholder="Од:"
               id="floatingFrom"
+              value={formData.from}
+              name={'from'}
+              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingFrom">Од:</label>
@@ -25,4 +37,7 @@
               placeholder="До:"
               id="floatingTo"
+              name={'to'}
+              value={formData.to}
+              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingTo">До:</label>
@@ -36,4 +51,7 @@
               placeholder="Датум:"
               id="floatingDate"
+              name={'date'}
+              value={formData.date}
+              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingDate">Датум:</label>
@@ -46,10 +64,16 @@
               type="number"
               placeholder="Број на патници:"
+              name={'numPassengers'}
               id="floatingPassengers"
+              value={formData.numPassengers}
+              onChange={onFormChange}
             ></Form.Control>
             <label htmlFor="floatingPassengers">Број на патници:</label>
           </Form.Floating>
           <Form.Group className="my-1">
-            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg">
+            <Button type="submit" style={{backgroundColor: "#159895"}} size="lg" onClick={(e) => {
+              e.preventDefault();
+              window.location.href = `/search/transport/${formData.from}/${formData.to}/${formData.date}/${formData.numPassengers}`
+            }}>
               <span className="ikona my-1"><HiMagnifyingGlass/></span>
               <span className="ikona mx-3">Пребарај</span>
